Get all secrets based on a query
curl --request POST \
--url https://api.cpln.io/org/{org}/secret/-query \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "<string>",
"spec": {
"match": "all",
"terms": [
{
"op": "=",
"property": "<string>",
"rel": "<string>",
"tag": "<string>",
"value": "<string>"
}
],
"sort": {
"by": "<string>",
"order": "asc"
}
}
}
'import requests
url = "https://api.cpln.io/org/{org}/secret/-query"
payload = {
"kind": "<string>",
"spec": {
"match": "all",
"terms": [
{
"op": "=",
"property": "<string>",
"rel": "<string>",
"tag": "<string>",
"value": "<string>"
}
],
"sort": {
"by": "<string>",
"order": "asc"
}
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
spec: {
match: 'all',
terms: [
{
op: '=',
property: '<string>',
rel: '<string>',
tag: '<string>',
value: '<string>'
}
],
sort: {by: '<string>', order: 'asc'}
}
})
};
fetch('https://api.cpln.io/org/{org}/secret/-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"items": [
{}
],
"links": [
{
"rel": "<string>",
"href": "<string>"
}
],
"query": {
"kind": "<string>",
"context": {},
"spec": {
"match": "all",
"terms": [
{
"op": "=",
"property": "<string>",
"rel": "<string>",
"tag": "<string>",
"value": "<string>"
}
],
"sort": {
"by": "<string>",
"order": "asc"
}
}
}
}{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}Secret
Get all secrets based on a query
Response will contain all the secrets the caller is authorized to view
POST
/
org
/
{org}
/
secret
/
-query
Get all secrets based on a query
Authorizations
serviceAccountKeyjwt
Service account key can be used as API keys
Path Parameters
Response
Success
Available options:
org, cloudaccount, policy, user, group, resource, task, permissions, serviceaccount, secret, location, gvc, workload, quota, identity, deployment, event, domain, image, ipset, resourcepolicy, agent, accessreport, policymembership, dbcluster, auditctx, memcachecluster, spicedbcluster, tenant, mk8s, command, imagesummary, volumeset Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I